<script lang="ts">
  import Root from 'bits-ui';
  import { cn, type WithoutChildren } from '$lib/utils/cn.svelte.js';

  let {
    ref = $bindable(null),
    class: className,
    ...restProps
  }: WithoutChildren<Root.Field.ValidationProps> = $props();
</script>

<Root.Field.Validation
  bind:ref
  data-slot="field-validation"
  class={cn('text-destructive text-sm', className)}
  {...restProps}
/>